package cn.rankin.apiweb.service.tag;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.common.utils.api.model.BaseCode;
import cn.rankin.common.utils.api.page.Page;
import cn.rankin.data.api.app.vo.ItemVo;
import cn.rankin.data.api.app.vo.TagGroupVo;
import cn.rankin.data.api.product.entity.TagGroup;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import static cn.rankin.apiweb.utils.DTOConverter.convert;

@Service
public class TagService {

    @Autowired
    private TagClient tagClient;

    public APIResult<TagGroupVo> findTagGroupByCode(String code, String merchantId) {
        APIResult<TagGroup> apiResult = tagClient.findTagGroupByCode(code, merchantId);
        if (!apiResult.getSuccess()) {
            return APIResult.error(new BaseCode(apiResult.getCode(), apiResult.getMessage()));
        }
        TagGroup tagGroup = apiResult.getData();
        TagGroupVo tagGroupVo = convert(tagGroup);
        return APIResult.ok(tagGroupVo);
    }

    public APIResult<Page<ItemVo>> findPageByTagId(String tagId, String merchantId, Integer pageNo, Integer pageSize) {
        return tagClient.findPageByTagId(tagId, merchantId, pageNo, pageSize);
    }
}
