package cn.rankin.productservice.controller.auth;

import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.auth.dto.InnerAuthDTO;
import cn.rankin.data.api.auth.vo.AuthResult;
import cn.rankin.productservice.service.auth.AuthService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class AuthController {

    @Autowired
    private AuthService authService;

    @RequestMapping(value = "/auth", method = RequestMethod.POST)
    public APIResult<AuthResult> auth(@RequestBody InnerAuthDTO authDTO) {
        String userId = authDTO.getUserId();
        String itemId = authDTO.getItemId();
        String merchantId = authDTO.getMerchantId();
        return authService.auth(userId, merchantId, itemId);
    }
}
